<ion-header>
  <ion-toolbar mode="ios" class="header-page" color="light">
    <ion-buttons slot="start">
      <ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
        <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-searchbar class="search-bar" placeholder="Tìm kiếm..." [(ngModel)]="this.search.tuKhoaTimKiem"
      (keyup.enter)="loadData()" (ionClear)="removeTuKhoaTimKiem()"></ion-searchbar>
  </ion-toolbar>
  <dailyxe-ion-search class="filter-header" type="basic"
    [options]="{tinhTrangDuyet: true, trangThai:true, thanhVien: true, adminApprove: true}" [(ngModel)]="this.search"
    (onChange)="loadData()">
  </dailyxe-ion-search>
</ion-header>
<ion-content fullscreen [scrollEvents]="true" (ionScroll)="logScrolling()">
  <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content>
    </ion-refresher-content>
  </ion-refresher>
  <ion-grid fixed class="ion-no-padding">
    <span *ngIf="data"> Tổng số tin tìm thấy <strong>{{this.totalItems}}</strong></span>
    <ion-list *ngIf="data" class="raovat-list" [@animationList]="data && data.length >= 0">
      <ion-item-sliding *ngFor="let item of data; let i = index" #slidingItem>
        <ion-item (click)="onSelect(item)" class="raovat-item">
          <ion-button class="tinhtrang-box" [color]="item.TinhTrang == 1? 'secondary': 'warning'">
            {{item.TinhTrang == 1 ? 'Mới' : 'Cũ'}}
          </ion-button>
          <div class="raovat-box">
            <div class="raovat-img">
              <img [ngStyle]="{'max-height':'110px','max-width':'110px'}" class="img-radius" lazy-loading-image [src]='item.UrlHinhDaiDien' />
            </div>
            <div class="raovat-info">
              <h3 class="title">
                [{{commonMethodsTs.getData(item.ThanhVien_Ext, "HoTen", this.lbl.noneUpdate)}}]  -
                {{commonMethodsTs.getData(item, "TieuDe", this.lbl.noneUpdate)}}
              </h3>
              <p class="price">
                <span [ngStyle]="{'color': item.Type == 1? '#007bff': '#28a745', 'font-size':'13px'}">{{item.Type == 1 ? 'Bán -' : 'Mua'}}</span>
               {{item.Gia|shortcurrency:true}}</p>
              <span *ngIf="item.OsName && item.OsName.toUpperCase() == 'IOS'">[<ion-icon name="logo-apple"></ion-icon>: {{item.OsVersion}}] - [App: {{item.AppVersion}}]</span>
              <span *ngIf="item.OsName && item.OsName.toUpperCase() == 'ANDROID'">[<ion-icon name="logo-android"></ion-icon>: {{item.OsVersion}}] - [App: {{item.AppVersion}}]</span>
              <p>
                
                <ion-icon color="success" *ngIf="item.IsDuyet" slot="start" name="checkmark-circle">
                </ion-icon>
                <ion-icon color="danger" *ngIf="!item.IsDuyet" slot="start" name="alert">
                </ion-icon>
                {{this.commonMethodsTs.getData (item, "IsDuyet", this.lbl.noneUpdate) == 1 ? 
                      (this.commonMethodsTs.getData (item, "IsAutoDuyet", this.lbl.noneUpdate) == 1 ? "Auto duyệt" 
                        : "[" + this.commonMethodsTs.getData (item, "TenAdminDangKyDuyet", "") + "] - Đã duyệt")
                    : (this.commonMethodsTs.getData (item, "TenAdminTuChoi", "") != "" ? "[" + this.commonMethodsTs.getData (item, "TenAdminTuChoi", "") + "]" : "")  + " Chưa duyệt - Lý do: " + this.commonMethodsTs.getData (item, "GhiChu", this.lbl.noneUpdate)}}
              </p>

              <div class="info-bottom">
                <p class="info-bottom-item">{{this.commonMethodsTs.transformDailyTimeAgo(item.NgayCapNhat)}}</p>
                <p class="info-bottom-item"><ion-icon name="ios-image"></ion-icon>{{commonMethodsTs.getData(item, "ListFilesUploaded", '0/0')}}</p>
                <b class="info-bottom-item address text-overflow-ellipsis">
                  {{this.commonMethodsTs.getData (item, "IsDuyet", this.lbl.noneUpdate) == 1 ? "" 
                      : (!item.IsDuyet && !(+item.IdAdminDangKyDuyet > 0)) ? "Còn đăng ký được" 
                          : "[" +this.commonMethodsTs.getData (item, "TenAdminDangKyDuyet", "") + "] đã đăng ký"}}</b>
              </div>
            </div>
          </div>
        </ion-item>
        
        <ion-item-options>
          <!-- <ion-item-option color="success" *ngIf="!(+item.IdAdminDangKyDuyet > 0)"
            (click)="registAdminApprove(item, i, slidingItem)">
            <ion-icon slot="icon-only" name="bookmark"></ion-icon>
            Đăng ký
          </ion-item-option> -->
          <ion-item-option *ngIf="(item.IsDuyet != true && +item.IdAdminDangKyDuyet > 0)" (click)="removeAdminApprove(item, i, slidingItem)">
            <ion-icon slot="icon-only" name="bookmark"></ion-icon>
            Hủy đăng ký
          </ion-item-option> 
        </ion-item-options>

      </ion-item-sliding>
      <div class="ion-text-center" *ngIf="data.length == 0">
        <ion-text color="danger">
          <h4>Không tìm thấy dữ liệu</h4>
        </ion-text>
      </div>

    </ion-list>
    <ion-list *ngIf="!data">
      <ion-item>
        <ion-text slot="start">
          <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
        </ion-text>
        <ion-label>
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item>
        <ion-text slot="start">
          <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
        </ion-text>
        <ion-label>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item>
        <ion-text slot="start">
          <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
        </ion-text>
        <ion-label>
          <ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item>
        <ion-text slot="start">
          <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
        </ion-text>
        <ion-label>
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item>
        <ion-text slot="start">
          <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
        </ion-text>
        <ion-label>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item>
        <ion-text slot="start">
          <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
        </ion-text>
        <ion-label>
          <ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
    </ion-list>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
      <ion-infinite-scroll-content></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-grid>
</ion-content>